Subject: bug#10174: find-named-dired followed by Query and Replace leaves emacs in a bad state

From: Chris Corbyn <[email-masked]>
Date: Thu, 1 Dec 2011 16:09:32 +1100

Switched to emacs HEAD and its working there, thanks.  Expected everything to explode under HEAD with regards to the extensions I have installed, but fortunately it seems to work.

Not sure how to close this request, but consider it closed :)

On 01/12/2011, at 8:42 AM, Stefan Monnier wrote:

>> It is doing the search and replace in exactly the way I'd expect, but she
>> I try to save the 27 buffers it leaves open (using save-some-buffers) it
>> says there are no changes to be saved.  Trying to save a single buffer does
> 
> I can't reproduce this problem here.
> I tried:
> 
>   [ starting from some elisp package directory (tuareg in this case) ]
>   % emacs23 -Q
>   M-x find-name-dired RET
>   RET
>   *.el RET
>   t
>   Q
>   with RET when RET
>   !!!!!!.... ad nauseam
>   M-x save-some-buffers RET
>   yyyyyy.....
> 
> The last line is because it asked me whether to save each buffer.
> 
> 
>        Stefan